# Derived values
%define module PlRPC
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: Perl module %{module}
Name: perl-plrpc
Version: 0.2018
Release: 4tr
License: distributable
Group: Trustix Official
Source0: http://search.cpan.org/CPAN/authors/id/J/JW/JWIED/PlRPC-0.2018.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot-%(id -nu)/
BuildRequires:  perl
Requires:       perl = %{perlver}
Provides:       %{module} = %{version}

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
%{module} module from CPAN for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{module}-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%{makeinstall}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc ChangeLog README
%{siteperl}/Bundle
%{siteperl}/RPC
%{_mandir}/man3/*

%changelog
* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 0.2018-4tr
- Rebuilt on perl-5.8.7
			
* Fri Mar 18 2005 Hasher Jamaludeen <hasher at comodo dot com> 0.2018-2tr
- Rebuilt

* Tue Mar  8 2005 Erlend Midttun <erlendbm at trustix dot org> 0.2018-1tr
- New package
